"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.useFontScale = exports.useFontScaleSettings = exports.FontScaleProvider = void 0;
const react_1 = __importStar(require("react"));
const react_native_1 = require("react-native");
const FontScaleContext = (0, react_1.createContext)({
    maxScale: 100,
    minScale: 0.01,
    disableScaling: false,
});
const FontScaleProvider = (props) => (react_1.default.createElement(FontScaleContext.Provider, { value: { ...props } }, props.children));
exports.FontScaleProvider = FontScaleProvider;
/**
 *
 * @returns the current settings specified in the nearest FontScaleContext
 */
const useFontScaleSettings = () => (0, react_1.useContext)(FontScaleContext);
exports.useFontScaleSettings = useFontScaleSettings;
/**
 * @param forceEnable if true, get the clamped fontScale even if the Context has disabled scaling
 * @returns the clamped fontScale value taking into account settings in the FontScaleContext
 */
const useFontScale = (forceEnable = false) => {
    const { disableScaling, maxScale, minScale } = (0, exports.useFontScaleSettings)();
    const systemScale = react_native_1.PixelRatio.getFontScale();
    // Clamp the scale between min and max
    return disableScaling && !forceEnable ? 1 : Math.min(maxScale, Math.max(minScale, systemScale));
};
exports.useFontScale = useFontScale;
