"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useNavGroupContext = exports.NavGroupContext = void 0;
const react_1 = require("react");
exports.NavGroupContext = (0, react_1.createContext)({
    activeHierarchy: [],
});
/**
 * useNavGroupContext hook
 *
 * This hook will provide you with the activeHierarchy array that is set at the top level
 * of the NavGroup component. We expose this through a Context in order to avoid passing this prop
 * through every layer of the component hierarchy. This hook can only be called from within a
 * NavGroupContext.Provider.
 */
const useNavGroupContext = () => (0, react_1.useContext)(exports.NavGroupContext);
exports.useNavGroupContext = useNavGroupContext;
