"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DrawerFooter = void 0;
const react_1 = __importDefault(require("react"));
const react_native_paper_1 = require("react-native-paper");
/**
 * [DrawerFooter](https://brightlayer-ui-components.github.io/react-native/?path=/info/components-documentation--drawer) component
 *
 * The DrawerFooter is a wrapper for the bottom of your navigation Drawer. This section will always
 * be pinned to the bottom of the Drawer. You can pass in any content you want as a child of this
 * component, but you are responsible for adjusting the styles as necessary when the drawer is opened
 * and closed.
 */
const DrawerFooter = (props) => {
    const { children, divider = true } = props;
    return (react_1.default.createElement(react_1.default.Fragment, null,
        divider && react_1.default.createElement(react_native_paper_1.Divider, null),
        children));
};
exports.DrawerFooter = DrawerFooter;
exports.DrawerFooter.displayName = 'DrawerFooter';
