"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.HeaderIcon = void 0;
const react_1 = __importDefault(require("react"));
const icon_1 = require("../icon");
const font_scale_context_1 = require("../__contexts__/font-scale-context");
const constants_1 = require("./constants");
const ColorContextProvider_1 = require("./contexts/ColorContextProvider");
/**
 * HeaderIcon component
 *
 * The HeaderIcon is a helper component that is used to properly size and space icons in the Header component.
 */
const HeaderIcon = (props) => {
    const { icon } = props;
    const { color } = (0, ColorContextProvider_1.useColor)();
    const { disableScaling } = (0, font_scale_context_1.useFontScaleSettings)();
    if (icon) {
        return react_1.default.createElement(icon_1.Icon, { source: icon, size: constants_1.ICON_SIZE, color: color, allowFontScaling: !disableScaling });
    }
    return null;
};
exports.HeaderIcon = HeaderIcon;
