import React from 'react';
/**
 * ThemedAvatar component
 *
 * This component is a wrapper around the React Native Paper [Avatar](https://callstack.github.io/react-native-paper/avatar-icon.html)
 * component. It accepts all the same props as the RNP component. The wrapper simply performs some minor theme / style overrides
 * in order to make the component look the way we want for Brightlayer UI projects.
 */
export declare const ThemedAvatar: {
    Icon: React.FunctionComponent<Pick<import("react-native").ViewProps & React.RefAttributes<import("react-native").View> & {
        icon: import("react-native-paper/lib/typescript/components/Icon").IconSource;
        size?: number | undefined;
        color?: string | undefined;
        style?: import("react-native").StyleProp<import("react-native").ViewStyle>;
        theme: ReactNativePaper.Theme;
    }, "color" | "size" | keyof import("react-native").ViewProps | "icon" | keyof React.RefAttributes<import("react-native").View>> & {
        theme?: import("@callstack/react-theme-provider").$DeepPartial<ReactNativePaper.Theme> | undefined;
    }> & import("@callstack/react-theme-provider/typings/hoist-non-react-statics").NonReactStatics<React.ComponentType<import("react-native").ViewProps & React.RefAttributes<import("react-native").View> & {
        icon: import("react-native-paper/lib/typescript/components/Icon").IconSource;
        size?: number | undefined;
        color?: string | undefined;
        style?: import("react-native").StyleProp<import("react-native").ViewStyle>;
        theme: ReactNativePaper.Theme;
    }> & {
        ({ icon, size, style, theme, ...rest }: import("react-native-paper").AvatarIconProps): JSX.Element;
        displayName: string;
    }, {}>;
    Image: React.FunctionComponent<Pick<import("react-native").ViewProps & React.RefAttributes<import("react-native").View> & {
        source: import("react-native-paper/lib/typescript/components/Avatar/AvatarImage").AvatarImageSource;
        size?: number | undefined;
        style?: import("react-native").StyleProp<import("react-native").ViewStyle>;
        onError?: ((error: import("react-native").NativeSyntheticEvent<import("react-native").ImageErrorEventData>) => void) | undefined;
        onLayout?: ((event: import("react-native").LayoutChangeEvent) => void) | undefined;
        onLoad?: ((event: import("react-native").NativeSyntheticEvent<import("react-native").ImageLoadEventData>) => void) | undefined;
        onLoadEnd?: (() => void) | undefined;
        onLoadStart?: (() => void) | undefined;
        onProgress?: ((event: import("react-native").NativeSyntheticEvent<import("react-native").ImageProgressEventDataIOS>) => void) | undefined;
        theme: ReactNativePaper.Theme;
    }, "source" | "size" | "onError" | "onLoad" | "onLoadEnd" | "onLoadStart" | "onProgress" | keyof import("react-native").ViewProps | keyof React.RefAttributes<import("react-native").View>> & {
        theme?: import("@callstack/react-theme-provider").$DeepPartial<ReactNativePaper.Theme> | undefined;
    }> & import("@callstack/react-theme-provider/typings/hoist-non-react-statics").NonReactStatics<React.ComponentType<import("react-native").ViewProps & React.RefAttributes<import("react-native").View> & {
        source: import("react-native-paper/lib/typescript/components/Avatar/AvatarImage").AvatarImageSource;
        size?: number | undefined;
        style?: import("react-native").StyleProp<import("react-native").ViewStyle>;
        onError?: ((error: import("react-native").NativeSyntheticEvent<import("react-native").ImageErrorEventData>) => void) | undefined;
        onLayout?: ((event: import("react-native").LayoutChangeEvent) => void) | undefined;
        onLoad?: ((event: import("react-native").NativeSyntheticEvent<import("react-native").ImageLoadEventData>) => void) | undefined;
        onLoadEnd?: (() => void) | undefined;
        onLoadStart?: (() => void) | undefined;
        onProgress?: ((event: import("react-native").NativeSyntheticEvent<import("react-native").ImageProgressEventDataIOS>) => void) | undefined;
        theme: ReactNativePaper.Theme;
    }> & {
        ({ size, source, style, onError, onLayout, onLoad, onLoadEnd, onLoadStart, onProgress, theme, ...rest }: import("react-native-paper").AvatarImageProps): JSX.Element;
        displayName: string;
    }, {}>;
    Text: React.FunctionComponent<Pick<import("react-native").ViewProps & React.RefAttributes<import("react-native").View> & {
        label: string;
        size?: number | undefined;
        color?: string | undefined;
        style?: import("react-native").StyleProp<import("react-native").ViewStyle>;
        labelStyle?: import("react-native").StyleProp<import("react-native").TextStyle>;
        theme: ReactNativePaper.Theme;
    }, "label" | "color" | "size" | keyof import("react-native").ViewProps | keyof React.RefAttributes<import("react-native").View> | "labelStyle"> & {
        theme?: import("@callstack/react-theme-provider").$DeepPartial<ReactNativePaper.Theme> | undefined;
    }> & import("@callstack/react-theme-provider/typings/hoist-non-react-statics").NonReactStatics<React.ComponentType<import("react-native").ViewProps & React.RefAttributes<import("react-native").View> & {
        label: string;
        size?: number | undefined;
        color?: string | undefined;
        style?: import("react-native").StyleProp<import("react-native").ViewStyle>;
        labelStyle?: import("react-native").StyleProp<import("react-native").TextStyle>;
        theme: ReactNativePaper.Theme;
    }> & {
        ({ label, size, style, theme, labelStyle, color, ...rest }: import("react-native-paper").AvatarTextProps): JSX.Element;
        displayName: string;
    }, {}>;
};
