import React from 'react';
import { BottomNavigation } from 'react-native-paper';
export declare type ThemedBottomNavigationProps = React.ComponentProps<typeof BottomNavigation>;
/**
 * ThemedBottomNavigation component
 *
 * This component is a wrapper around the React Native Paper [BottomNavigation](https://callstack.github.io/react-native-paper/bottom-navigation.html)
 * component. It accepts all the same props as the RNP component. The wrapper simply performs some minor theme / style overrides
 * in order to make the component look the way we want for Brightlayer UI projects.
 */
export declare const ThemedBottomNavigation: React.FC<ThemedBottomNavigationProps>;
