import React from 'react';
import { Button } from 'react-native-paper';
export declare type ThemedButtonProps = React.ComponentProps<typeof Button>;
/**
 * ThemedButton component
 *
 * This component is a wrapper around the React Native Paper [Button](https://callstack.github.io/react-native-paper/button.html)
 * component. It accepts all the same props as the RNP component. The wrapper simply performs some minor theme / style overrides
 * in order to make the component look the way we want for Brightlayer UI projects.
 */
export declare const ThemedButton: React.FC<ThemedButtonProps>;
