import React from 'react';
import { Chip } from 'react-native-paper';
export declare type ThemedChipProps = React.ComponentProps<typeof Chip>;
/**
 * ThemedChip component
 *
 * This component is a wrapper around the React Native Paper [Chip](https://callstack.github.io/react-native-paper/chip.html)
 * component. It accepts all the same props as the RNP component. The wrapper simply performs some minor theme / style overrides
 * in order to make the component look the way we want for Brightlayer UI projects.
 */
export declare const ThemedChip: React.FC<ThemedChipProps>;
