import React from 'react';
import { Divider } from 'react-native-paper';
export declare type ThemedDividerProps = React.ComponentProps<typeof Divider>;
/**
 * ThemedDivider component
 *
 * This component is a wrapper around the React Native Paper [Divider](https://callstack.github.io/react-native-paper/divider.html)
 * component. It accepts all the same props as the RNP component. The wrapper simply performs some minor theme / style overrides
 * in order to make the component look the way we want for Brightlayer UI projects.
 */
export declare const ThemedDivider: React.FC<ThemedDividerProps>;
