import React from 'react';
import { FAB } from 'react-native-paper';
export declare type ThemedFABProps = React.ComponentProps<typeof FAB>;
export declare type ThemedFABGroupProps = React.ComponentProps<typeof FAB.Group>;
/**
 * ThemedFAB component
 *
 * This component is a wrapper around the React Native Paper [FAB](https://callstack.github.io/react-native-paper/fab.html)
 * component. It accepts all the same props as the RNP component. The wrapper simply performs some minor theme / style overrides
 * in order to make the component look the way we want for Brightlayer UI projects.
 */
export declare const ThemedFAB: React.FC<ThemedFABProps> & {
    Group: React.FC<ThemedFABGroupProps>;
};
