import React from 'react';
import { ToggleButton } from 'react-native-paper';
export declare type ThemedToggleButtonProps = React.ComponentProps<typeof ToggleButton>;
export declare type ThemedToggleButtonRowProps = React.ComponentProps<typeof ToggleButton.Row>;
export declare type ThemedToggleButtonGroupProps = React.ComponentProps<typeof ToggleButton.Group>;
/**
 * ThemedToggleButton component
 *
 * This component is a wrapper around the React Native Paper [ToggleButton](https://callstack.github.io/react-native-paper/toggle-button.html)
 * component. It accepts all the same props as the RNP component. The wrapper simply performs some minor theme / style overrides
 * in order to make the component look the way we want for Brightlayer UI projects.
 */
export declare const ThemedToggleButton: React.FC<ThemedToggleButtonProps> & {
    Group: {
        ({ value, onValueChange, children }: import("react-native-paper").ToggleButtonGroupProps): JSX.Element;
        displayName: string;
    };
    Row: React.FC<import("react-native-paper").ToggleButtonRowProps>;
};
